SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Static Public Member Functions | List of all members
SDX::Drawing Class Reference

リソースを読み込まずに描画を行う関数群. More...

`#include <Drawing.h>`

## Static Public Member Functions
static Font & | GetFont ()
| デフォルトのフォントを取得する[SDL]. More...
static void | SetDefaultFont (const char *フォント名, int 大きさ)
| デフォルトのフォントを設定する. More...
static bool | Line (const Point &始点, const Point &終点, Color 色, int 太さ)
| 始点と終点を結ぶ直線を描画. More...
static bool | Rect (const Rect &領域, Color 色, bool 塗りつぶしフラグ)
| 左上の座標と大きさを指定して矩形を描画. More...
static void | Circle (const Circle &円形, Color 色, bool 塗りつぶしフラグ)
| 中心と半径を指定して円を描画. More...
static void | Oval (const Point &中心, int 幅, int 高さ, Color 色, bool 塗りつぶしフラグ)
| 中心と外接する四角形の大きさを指定して楕円を描画. More...
static void | Triangle (const Point &頂点A, const Point &頂点B, const Point &頂点C, Color 色, bool 塗りつぶしフラグ)
| 頂点を３つ指定して三角形を描画. More...
static void | Pixel (const Point &座標, Color 色)
| 指定座標に点を描画. More...
static ColorData | GetPixel (const Point &座標)
| 指定座標の色を取得[未実装]. More...
static void | ImageFile (const Point &座標, const char *ファイル名, bool 透過フラグ=true)
| 画像を一時的にメモリに読み込んで描画. More...
static void | String (const Point &座標, Color 色, VariadicStream 描画する文字列)
| 文字を描画. More...

## Detailed Description

リソースを読み込まずに描画を行う関数群.

//©SDXFramework http://sourceforge.jp/projects/dxframework/
//🍣色々描画してみる
bool SampleDrawing()
{
using namespace SDX;
System::Initialise("sample", 600, 400);
while(System::Update())
{
Drawing::String({ 10, 10 }, Color::White, "こんにちは");
Drawing::Line({10, 100}, {100, 150}, Color::Blue, 3);
Drawing::Rect({60, 200, 100, 250}, Color::Red, true);
Drawing::Circle({ 300, 200, 50 }, Color::Red, true);
if(Input::key.Return.on) break;//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

static Font& SDX::Drawing::GetFont | ( |  | ) |
| static

デフォルトのフォントを取得する[SDL].

static void SDX::Drawing::SetDefaultFont | ( | const char * | フォント名,
|  | int | 大きさ
| ) |  |
| static

デフォルトのフォントを設定する.

static bool SDX::Drawing::Line | ( | const Point & | 始点,
|  | const Point & | 終点,
|  | Color | 色,
|  | int | 太さ
| ) |  |
| static

始点と終点を結ぶ直線を描画.

SDLは太さ指定不可

static bool SDX::Drawing::Rect | ( | const Rect & | 領域,
|  | Color | 色,
|  | bool | 塗りつぶしフラグ
| ) |  |
| static

左上の座標と大きさを指定して矩形を描画.

static void SDX::Drawing::Circle | ( | const Circle & | 円形,
|  | Color | 色,
|  | bool | 塗りつぶしフラグ
| ) |  |
| static

中心と半径を指定して円を描画.

SDLは仮実装

static void SDX::Drawing::Oval | ( | const Point & | 中心,
|  | int | 幅,
|  | int | 高さ,
|  | Color | 色,
|  | bool | 塗りつぶしフラグ
| ) |  |
| static

中心と外接する四角形の大きさを指定して楕円を描画.

SDLは仮実装

static void SDX::Drawing::Triangle | ( | const Point & | 頂点A,
|  | const Point & | 頂点B,
|  | const Point & | 頂点C,
|  | Color | 色,
|  | bool | 塗りつぶしフラグ
| ) |  |
| static

頂点を３つ指定して三角形を描画.

SDLは塗りつぶし不可

static void SDX::Drawing::Pixel | ( | const Point & | 座標,
|  | Color | 色
| ) |  |
| static

指定座標に点を描画.

static ColorData SDX::Drawing::GetPixel | ( | const Point & | 座標 | ) |
| static

指定座標の色を取得[未実装].

static void SDX::Drawing::ImageFile | ( | const Point & | 座標,
|  | const char * | ファイル名,
|  | bool | 透過フラグ = `true`
| ) |  |
| static

画像を一時的にメモリに読み込んで描画.

この処理は重いので、通常はImageクラスを利用する

static void SDX::Drawing::String | ( | const Point & | 座標,
|  | Color | 色,
|  | VariadicStream | 描画する文字列
| ) |  |
| static

文字を描画.

フォントはデフォルトでゴシック体